<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

function wcusage_field_cb_registration( $args )
{
    $options = get_option( 'wcusage_options' );

    $ispro = ( wcu_fs()->can_use_premium_code() ? 1 : 0 );
    $probrackets = ( $ispro ? "" : " (PRO)" );
    ?>

  	<h1><?php echo __( 'Affiliate Registration', 'woo-coupon-usage' ); ?></h1>

    <hr/>

    <p>- <?php echo __( 'Affiliate registration will allow your users to easily register to become affiliate, and automatically create an affiliate coupon for them.', 'woo-coupon-usage' ); ?> <a href="https://couponaffiliates.com/docs/affiliate-registration" target="_blank"><?php echo __( 'Learn More', 'woo-coupon-usage' ); ?></a>.</p>

    <br/>

    <p>- <strong><?php echo __( 'To get started with affiliate registration, you will need to add this shortcode to a NEW page:', 'woo-coupon-usage' ); ?> <span style="color: red;">[couponaffiliates-register]</span></strong></p>

    <p>- <strong><?php echo __( 'Please do not add this shortcode to the same page as your affiliate dashboard shortcode.', 'woo-coupon-usage' ); ?></strong></p>

    <?php if( !wcu_fs()->can_use_premium_code() ) { ?>
    <br/><p>- <?php echo __( 'PRO features: Custom form fields, dynamic code generator, auto accept, auto registration, and join button on checkout.', 'woo-coupon-usage' ); ?></p>
    <?php } ?>

  	<br/><hr/>

      <!-- Enable Affiliate Registration Features -->
      <?php echo wcusage_setting_toggle_option('wcusage_field_registration_enable', 0, __( 'Enable Affiliate Registration Features', 'woo-coupon-usage' ), '0px'); ?>
      <i><?php echo __( 'This will enable the coupon affiliate registration system on your website.', 'woo-coupon-usage' ); ?></i><br/>

      <?php echo wcusage_setting_toggle('.wcusage_field_registration_enable', '.wcu-field-section-registration-settings'); // Show or Hide ?>
      <span class="wcu-field-section-registration-settings">

        <br/><br/>

        <!-- Registration Page -->
        <?php echo do_action( 'wcusage_hook_setting_section_registration_page' ); ?>

        <br/><br/><hr/>

        <!-- Template Coupon -->
        <?php echo do_action( 'wcusage_hook_setting_section_registration_template' ); ?>

        <!-- Template Coupon Multi -->
        <?php echo do_action( 'wcusage_hook_setting_section_registration_template2' ); ?>

        <br/><hr/>

        <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'Form Visibility Settings', 'woo-coupon-usage' ); ?></h3>

        <!-- Allow logged out users to register for an affiliate coupon. -->
        <?php echo wcusage_setting_toggle_option('wcusage_field_registration_enable_logout', 1, __( 'Allow logged out users to register as an affiliate.', 'woo-coupon-usage' ), '0px'); ?>
        <i><?php echo __( 'With this enabled, logged out users can view the registration form (with some extra fields). When submitted it will create a new account for them, and submit the affiliate application.', 'woo-coupon-usage' ); ?></i><br/>
        <i><?php echo __( 'With this disabled, only logged in users can apply.', 'woo-coupon-usage' ); ?></i><br/>

        <?php echo wcusage_setting_toggle('.wcusage_field_registration_enable_logout', '.wcu-field-section-registration-enable-login'); // Show or Hide ?>
      	<span class="wcu-field-section-registration-enable-login">

          <br/>

          <!-- Show registration form on affiliate page for logged out users. -->
          <?php echo wcusage_setting_toggle_option('wcusage_field_registration_enable_login', 1, __( 'Show registration form on affiliate dashboard page for logged out users.', 'woo-coupon-usage' ), '0px'); ?>
          <i><?php echo __( 'This will show the affiliate application/registration form automatically on the affiliate page for logged out users (alongside the login form).', 'woo-coupon-usage' ); ?></i><br/>

        </span>

        <br/>

        <!-- Show registration form on affiliate page for logged in users -->
        <?php echo wcusage_setting_toggle_option('wcusage_field_registration_enable_register_loggedin', 1, __( 'Show registration form on affiliate dashboard page for logged in users - if they are not assigned to any coupons.', 'woo-coupon-usage' ), '0px'); ?>
        <i><?php echo __( 'If the user is not already registered as an affiliate and has no active coupons, this will show the registration from on the affiliate dashboard page.', 'woo-coupon-usage' ); ?></i><br/>

        <br/>

        <!-- Disable form for existing affiliates -->
        <?php echo wcusage_setting_toggle_option('wcusage_field_registration_disable_existing', 1, __( 'Disable registration form for existing affiliate users.', 'woo-coupon-usage' ), '0px'); ?>
        <i><?php echo __( 'If enabled, then the registration form shortcode will be disabled/hidden for any affiliate user that is already assigned to an affiliate coupon.', 'woo-coupon-usage' ); ?></i><br/>

        <?php $wcusage_field_registration_enable_admincan = wcusage_get_setting_value('wcusage_field_registration_enable_admincan', '0'); ?>
        <?php if($wcusage_field_registration_enable_admincan) { ?>
        <br/>
        <!-- Allow administrator users to fill out the registration form for new users. -->
        <?php echo wcusage_setting_toggle_option('wcusage_field_registration_enable_admincan', 0, __( 'Allow administrator users to fill out the registration form for new users.', 'woo-coupon-usage' ), '0px'); ?>
        <i><?php echo __( 'With this enabled, "administrator" users will be able to fill out the affiliate registration form for new users (custom username/email etc), whilst logged in.', 'woo-coupon-usage' ); ?></i><br/>
        <i><?php echo __( 'As an admin, you can also manually add new affiliate registrations easily in the "Registrations" admin page, via the "Create New Registration" button.', 'woo-coupon-usage' ); ?></i><br/>
        <?php } ?>

      <br/><hr/>

      <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'Email Address / Username Fields', 'woo-coupon-usage' ); ?></h3>

      <!-- Use the email address as username. -->
      <?php echo wcusage_setting_toggle_option('wcusage_field_registration_emailusername', 0, __( 'Use the email address as username.', 'woo-coupon-usage' ), '0px'); ?>
      <i><?php echo __( 'With this enabled, the username field will be hidden, and the email address will be used as their username instead.', 'woo-coupon-usage' ); ?></i><br/>

      <br/><hr/>

      <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'Terms and Conditions Notice', 'woo-coupon-usage' ); ?></h3>

      <!-- Enable terms acceptance checkbox on affiliate registration form. -->
      <?php echo wcusage_setting_toggle_option('wcusage_field_registration_enable_terms', 0, __( 'Enable terms and conditions checkbox on registration form.', 'woo-coupon-usage' ), '0px'); ?>

      <style>
      #wcusage_field_registration_terms_message_ifr { height: 60px !important; }
      </style>
      <?php echo wcusage_setting_toggle('.wcusage_field_registration_enable_terms', '.wcu-field-section-registration-terms-message'); // Show or Hide ?>
      <div class="wcu-field-section-registration-terms-message">
        <br/
        <!-- Terms and Conditions Message -->
        <?php
        $terms1message = wcusage_get_setting_value('wcusage_field_registration_terms_message', 'I have read and agree to the Affiliate Terms and Privacy Policy.');
        echo wcusage_setting_tinymce_option('wcusage_field_registration_terms_message', $terms1message, "Terms and Conditions Message", '0px');
        ?>
        <i><?php echo __( 'Enter your terms acceptance message. Make sure you edit the message to include links to your terms and privacy policy!', 'woo-coupon-usage' ); ?></i><br/>
      </div>

      <br/><hr style="margin-top: 15px;" />

      <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'Form Submission', 'woo-coupon-usage' ); ?></h3>

      <!-- DROPDOWN - Select submission complete type -->
      <p>
    		<?php $wcusage_field_registration_submit_type = wcusage_get_setting_value('wcusage_field_registration_submit_type', 'message'); ?>
    		<input type="hidden" value="0" id="wcusage_field_registration_submit_type" data-custom="custom" name="wcusage_options[wcusage_field_registration_submit_type]" >
    		<strong><label for="scales"><?php echo __( 'What should happen after form submission?', 'woo-coupon-usage' ); ?></label></strong><br/>
    		<select name="wcusage_options[wcusage_field_registration_submit_type]" id="wcusage_field_registration_submit_type" class="wcusage_field_registration_submit_type">
          <option value="message" <?php if($wcusage_field_registration_submit_type == "message") { ?>selected<?php } ?>><?php echo __( 'Show a message on the same page.', 'woo-coupon-usage' ); ?></option>
    			<option value="redirect" <?php if($wcusage_field_registration_submit_type == "redirect") { ?>selected<?php } ?>><?php echo __( 'Redirect to a different page.', 'woo-coupon-usage' ); ?></option>
        </select>
      </p>

      <br/>
      <script>
      jQuery('.wcusage_field_registration_submit_type').change(function() {
        wcusage_js_registration_type_change();
      });
      jQuery( document ).ready(function() {
        wcusage_js_registration_type_change();
      });
      function wcusage_js_registration_type_change() {
        jQuery('.section-registration-type-message').hide();
        jQuery('.section-registration-type-redirect').hide();
        if( jQuery('.wcusage_field_registration_submit_type :selected' ).val() == 'message' ){
          jQuery('.section-registration-type-message').show();
          jQuery('.section-registration-type-redirect').hide();
        }
        if(jQuery('.wcusage_field_registration_submit_type :selected' ).val() == 'redirect' ){
          jQuery('.section-registration-type-message').hide();
          jQuery('.section-registration-type-redirect').show();
        }
      }
      </script>
      <div class="section-registration-type-message">
        <style>
        #wcusage_field_registration_accept_message_ifr { height: 60px !important; }
        </style>
        <!-- Message -->
        <?php
        $terms2message = wcusage_get_setting_value('wcusage_field_registration_accept_message', 'Your affiliate application for the coupon code "{coupon}" has been submitted. Please check your email.');
        echo wcusage_setting_tinymce_option('wcusage_field_registration_accept_message', $terms2message, 'Message', '0px');
        ?>
        <i><?php echo __( 'This is the message shown on the page as soon as the user submits the application form. The {couponcode} placeholder will be replaced with their chosen coupon code.', 'woo-coupon-usage' ); ?></i><br/>
      </div>

      <!-- DROPDOWN - Redirect to page -->
      <div class="section-registration-type-redirect">
        <p>
          <strong><?php echo __( 'Redirect to Page:', 'woo-coupon-usage' ); ?></strong><br/>
          <?php
          $dashboardpage = "";
          if ( isset($options['wcusage_field_registration_accept_redirect']) ) {
              $dashboardpage = $options['wcusage_field_registration_accept_redirect'];
          } else {
              $dashboardpage = wcusage_get_coupon_shortcode_page_id();
          }
          $dropdown_args = array(
              'post_type'        => 'page',
              'selected'         => $dashboardpage,
              'name'             => 'wcusage_options[wcusage_field_registration_accept_redirect]',
              'id'               => 'wcusage_field_registration_accept_redirect',
              'value_field'      => 'wcusage_field_registration_accept_redirect',
              'show_option_none' => '-'
            );
          wp_dropdown_pages( $dropdown_args );
          ?>
          <br/>
        </p>
      </div>

      <br/><hr/>

      <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( '"Coupon Affiliate" User Role', 'woo-coupon-usage' ); ?></h3>

      <!-- Upon new registration, assign user to custom "coupon affiliate" user role. -->
      <?php echo wcusage_setting_toggle_option('wcusage_field_register_role', 1, __( 'Upon new registration, assign user to custom "coupon affiliate" user role.', 'woo-coupon-usage' ), '0px'); ?>
      <i><?php echo __( 'With this enabled, instead of using the default WordPress "subscriber" user role, new affiliate users will be assigned to the custom "coupon affiliate" user role (or the custom role defined below) instead.', 'woo-coupon-usage' ); ?></i><br/>

      <br/>

      <?php echo wcusage_setting_toggle('.wcusage_field_register_role', '.wcu-field-section-registration-accepted-role'); // Show or Hide ?>
      <span class="wcu-field-section-registration-accepted-role">
        <p>

          <!-- DROPDOWN - Accepted Affiliate User Role -->
          <strong><?php echo __( 'Accepted Affiliate User Role', 'woo-coupon-usage' ); ?>:</strong><br/>
          <?php $wcusage_field_registration_accepted_role = wcusage_get_setting_value('wcusage_field_registration_accepted_role', 'coupon_affiliate'); ?>
          <select name="wcusage_options[wcusage_field_registration_accepted_role]" id="wcusage_field_registration_accepted_role" class="wcusage_field_registration_accepted_role">
            <?php
            $r1 = "";
            $editable_roles = array_reverse( get_editable_roles() );
              foreach ( $editable_roles as $role => $details ) {
                  if($role != 'administrator' && $role != 'editor' && $role != 'author' && $role != 'shop_manager') {
                    $name = translate_user_role( $details['name'] );
                    if ( $wcusage_field_registration_accepted_role === $role ) {
                        $r1 .= "\n\t<option selected='selected' value='" . esc_attr( $role ) . "'>$name</option>";
                    } else {
                        $r1 .= "\n\t<option value='" . esc_attr( $role ) . "'>$name</option>";
                    }
                  }
              }
            echo $r1;
            ?>
          </select>

        </p>

        <br/>

        <!-- Set a different user role for pending affiliate users. -->
        <?php echo wcusage_setting_toggle_option('wcusage_field_register_role_only_accept', 0, __( 'Set a different user role for pending affiliate users.', 'woo-coupon-usage' ), '0px'); ?>
        <i><?php echo __( 'With this enabled, the new user account created will be assigned to the default "Subscriber" role (or the custom role defined below) initially, and only when their affiliate application is accepted will they be assigned to the "coupon affiliate" user role instead.', 'woo-coupon-usage' ); ?></i><br/>

        <br/>

      </span>

      <?php echo wcusage_setting_toggle('.wcusage_field_register_role_only_accept', '.wcu-field-section-registration-pending-role'); // Show or Hide ?>
      <span class="wcu-field-section-registration-pending-role">
        <p>

          <!-- DROPDOWN - Pending Affiliate User Role -->
          <strong><?php echo __( 'Pending Affiliate User Role', 'woo-coupon-usage' ); ?>:</strong><br/>
          <?php $wcusage_field_registration_pending_role = wcusage_get_setting_value('wcusage_field_registration_pending_role', 'subscriber'); ?>
          <select name="wcusage_options[wcusage_field_registration_pending_role]" id="wcusage_field_registration_pending_role" class="wcusage_field_registration_pending_role">
            <?php
            $r2 = "";
            $editable_roles = array_reverse( get_editable_roles() );
              foreach ( $editable_roles as $role => $details ) {
                  if($role != 'administrator' && $role != 'editor' && $role != 'author' && $role != 'shop_manager') {
                    $name = translate_user_role( $details['name'] );
                    // Preselect specified role.
                    if ( $wcusage_field_registration_pending_role === $role ) {
                        $r2 .= "\n\t<option selected='selected' value='" . esc_attr( $role ) . "'>$name</option>";
                    } else {
                        $r2 .= "\n\t<option value='" . esc_attr( $role ) . "'>$name</option>";
                    }
                  }
              }
            echo $r2;
            ?>
          </select>

        </p>

        <br/>

        <!-- Remove the pending affiliate role from user when their affiliate application is accepted. -->
        <?php echo wcusage_setting_toggle_option('wcusage_field_register_role_remove_pending', 1, __( 'Remove the pending affiliate role from user when their affiliate application is accepted.', 'woo-coupon-usage' ), '0px'); ?>
        <i><?php echo __( 'With this enabled, the pending user role will be removed from the affiliate when the application is accepted.', 'woo-coupon-usage' ); ?></i><br/>

        <br/>

      </span>

      <hr/>

      <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'Email Notifications', 'woo-coupon-usage' ); ?></h3>

      <p>
        <?php echo __( 'To manage (and enable) email notifications for affiliate applications, go to the "Emails" settings tab.', 'woo-coupon-usage' ); ?>
      </p>

      <br/><hr/>

      <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'Google reCAPTCHA', 'woo-coupon-usage' ); ?> (v2)</h3>

      <!-- Enable Google reCAPTCHA. -->
      <?php
      $recaptcha_key = wcusage_get_setting_value('wcusage_registration_recaptcha_key', '');
      $recaptcha_default = ($recaptcha_key ? '1' : '0');
      echo wcusage_setting_toggle_option('wcusage_registration_enable_captcha', $recaptcha_default, __( 'Enable Google reCAPTCHA', 'woo-coupon-usage' ), '0px');
      ?>
      <i><?php echo __( 'Setup Google reCAPTCHA on your affiliate registration form to help prevent spam.', 'woo-coupon-usage' ); ?></i><br/>

      <br/>

      <?php echo wcusage_setting_toggle('.wcusage_registration_enable_captcha', '.wcu-field-section-registration-captcha'); // Show or Hide ?>
      <span class="wcu-field-section-registration-captcha">

        <p>
          <!-- Threshold -->
          <a href="https://www.google.com/recaptcha/admin/create" target="_blank">https://www.google.com/recaptcha/admin/create</a><br/><br/>
          <?php echo __( 'Setup Google reCAPTCHA on your affiliate registration form to help prevent spam.', 'woo-coupon-usage' ); ?>
        </p>

        <br/>

        <!-- Site Key -->
        <?php echo wcusage_setting_text_option('wcusage_registration_recaptcha_key', '', __( 'Site Key', 'woo-coupon-usage' ), '0px'); ?>

        <br/>

        <!-- Secret Key -->
        <?php echo wcusage_setting_text_option('wcusage_registration_recaptcha_secret', '', __( 'Secret Key', 'woo-coupon-usage' ), '0px'); ?>

        <br/>

      </span>

      <hr/>

      <div id="pro-settings" class="settings-area" <?php
        if ( !wcu_fs()->can_use_premium_code() ) {
            ?>title="Available with Pro version." style="pointer-events:none; opacity: 0.4;"<?php
        }
        ?>>

          <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'PRO Settings', 'woo-coupon-usage' ); ?></h3>

          <!-- Automatically accept all affiliate registrations. -->
          <?php echo wcusage_setting_toggle_option('wcusage_field_registration_auto_accept', 0, __( 'Automatically accept all affiliate registrations.', 'woo-coupon-usage' ) . $probrackets, '0px'); ?>
          <i><?php echo __( 'With this enabled, affiliate registrations will be automatically accepted (and coupon auto-created instantly), instead of manual approval.', 'woo-coupon-usage' ); ?></i><br/>

          <br/><hr/>

          <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'Dynamic Code Generator', 'woo-coupon-usage' ); ?><?php echo $probrackets; ?></h3>

          <p><?php echo __( 'By default, a required "preferred coupon code" field will be shown on the registration form for the affiliate to enter their prefered coupon code name.', 'woo-coupon-usage' ); ?></p>
          <p><?php echo __( 'When they submit the affiliate registration form you can then view and edit the coupon code they have entered, before approving the affiliate registration.', 'woo-coupon-usage' ); ?></p>
          <p><?php echo __( 'Alternatively, enable the option below to disable this field and generate a specific code automatically via a merge tag template.', 'woo-coupon-usage' ); ?></p>

          <br/>

          <!-- Automatically generate coupon code? -->
          <?php echo wcusage_setting_toggle_option('wcusage_field_registration_auto_coupon', 0, __( 'Generate a unique coupon automatically.', 'woo-coupon-usage' ), '0px'); ?>
          <i><?php echo __( 'With this enabled, instead of the user entering their "preferred coupon code", a code will be generated for them automatically.', 'woo-coupon-usage' ); ?></i><br/>
          <i><?php echo __( 'You will still be able to review and edit the generated code before approving.', 'woo-coupon-usage' ); ?></i>

          <br/>

          <?php echo wcusage_setting_toggle('.wcusage_field_registration_auto_coupon', '.wcu-field-section-registration-auto-coupon-text'); // Show or Hide ?>
          <span class="wcu-field-section-registration-auto-coupon-text">
            <!-- Coupon Format Field -->
            <br/>
            <?php echo wcusage_setting_text_option('wcusage_field_registration_auto_coupon_format', '{username}{amount}', __( 'Coupon Format', 'woo-coupon-usage' ), '0px'); ?>

            <?php
            $template_coupon_code = wcusage_get_setting_value('wcusage_field_registration_coupon_template', '');
            if(!empty($template_coupon_code)) {
              $template_coupon_info = wcusage_get_coupon_info($template_coupon_code);
              $template_coupon_id = $template_coupon_info[2];
              $template_coupon_amount = get_post_meta( $template_coupon_id, 'coupon_amount', true );
            } else {
              $template_coupon_amount = "10";
            }
            ?>

            <script>
            jQuery( document ).ready(function() {
              wcusage_update_example_coupon();
            });
            jQuery('#wcusage_field_registration_auto_coupon_format').on('input', wcusage_update_example_coupon );
            function wcusage_update_example_coupon() {
              var couponexample = jQuery('#wcusage_field_registration_auto_coupon_format').val();
              var couponexample = couponexample.replace("{username}", "JOHN");
              var couponexample = couponexample.replace("{amount}", "<?php echo $template_coupon_amount; ?>");
              var couponexample = couponexample.replace("{random}", "KPQS9JY");
              jQuery('#coupon_format_example').text(couponexample);
            }
            </script>
            <p><strong>Example code:</strong> <span id="coupon_format_example"></span></p>
            <br/>Merge tags:
            <br/><strong>{username}</strong> - The affiliate's username, for example "JOHN".
            <br/><strong>{amount}</strong> - The discount amount the coupon gives for example "<?php echo $template_coupon_amount; ?>" (if it was a "<?php echo $template_coupon_amount; ?>% off" or "$<?php echo $template_coupon_amount; ?> off" discount code).
            <br/><strong>{random}</strong> - A randomly generated 7 letter/number phrase for example "KPQS9JY". Unique every time.
            <br/>You can also place your own custom text in the format before, after or inbetween the merge tags.
            <br/>

          </span>

          <br/><hr/>

          <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'Extra Fields', 'woo-coupon-usage' ); ?><?php echo $probrackets; ?></h3>

          <!-- Show "Website" field on affiliate application form. -->
          <?php echo wcusage_setting_toggle_option('wcusage_field_registration_enable_website', 0, __( '"Website" Field', 'woo-coupon-usage' ), '0px'); ?>

          <?php echo wcusage_setting_toggle('.wcusage_field_registration_enable_website', '.wcu-field-section-registration-website-text'); // Show or Hide ?>
          <span class="wcu-field-section-registration-website-text" style="margin-top: 7px; display: block;">
            <div style="display: inline-block;padding: 5px 10px 8px 10px;background: #fff;border: 2px solid #e3e3e3;border-radius: 10px;">
              <!-- Website field label -->
              <div style="width: auto; float: left; display: block;">
                <?php echo wcusage_setting_text_option('wcusage_field_registration_website_text', 'Your Website', '<span class="reg-field-label">' . __( 'Field Label:', 'woo-coupon-usage' ) . '</span>', '0px'); ?>
              </div>
              <div style="width: auto; float: left; display: block; margin-top: -5px;">
                <strong style="display: block; margin: 5px 0 -5px 10px;"><label for="wcusage_field_registration_enable_website_req"><?php echo __( 'Required?', 'woo-coupon-usage' ); ?></label></strong>
                <?php echo wcusage_setting_toggle_option('wcusage_field_registration_enable_website_req', 1, '', '10px'); ?>
              </div>
            </div>
          </span>

          <div style="clear: both;"></div>
          <br/>

          <!-- Show "How will you promote us?" field on affiliate application form. -->
          <?php echo wcusage_setting_toggle_option('wcusage_field_registration_enable_promote', 0, __( '"How will you promote us?" Field', 'woo-coupon-usage' ), '0px'); ?>

          <?php echo wcusage_setting_toggle('.wcusage_field_registration_enable_promote', '.wcu-field-section-registration-promote-text'); // Show or Hide ?>
          <span class="wcu-field-section-registration-promote-text" style="margin-top: 7px; display: block;">
            <div style="display: inline-block;padding: 5px 10px 8px 10px;background: #fff;border: 2px solid #e3e3e3;border-radius: 10px;">
              <!-- Promote field label -->
              <div style="width: auto; float: left; display: block;">
                <?php echo wcusage_setting_text_option('wcusage_field_registration_promote_text', 'How will you promote us?', '<span class="reg-field-label">' . __( 'Field Label:', 'woo-coupon-usage' ) . '</span>', '0px'); ?>
              </div>
              <div style="width: auto; float: left; display: block; margin-top: -5px;">
                <strong style="display: block; margin: 5px 0 -5px 10px;"><label for="wcusage_field_registration_enable_promote_req"><?php echo __( 'Required?', 'woo-coupon-usage' ); ?></label></strong>
                <?php echo wcusage_setting_toggle_option('wcusage_field_registration_enable_promote_req', 1, '', '10px'); ?>
              </div>
            </div>
          </span>

          <div style="clear: both;"></div>
          <br/>

          <!-- Show "How did you hear about us?" field on affiliate application form. -->
          <?php echo wcusage_setting_toggle_option('wcusage_field_registration_enable_referrer', 0, __( '"How did you hear about us?" Field', 'woo-coupon-usage' ), '0px'); ?>

          <?php echo wcusage_setting_toggle('.wcusage_field_registration_enable_referrer', '.wcu-field-section-registration-referrer-text'); // Show or Hide ?>
          <span class="wcu-field-section-registration-referrer-text" style="margin-top: 7px; display: block;">
            <div style="display: inline-block;padding: 5px 10px 8px 10px;background: #fff;border: 2px solid #e3e3e3;border-radius: 10px;">
              <!-- Referrer field label -->
              <div style="width: auto; float: left; display: block;">
                <?php echo wcusage_setting_text_option('wcusage_field_registration_referrer_text', 'How did you hear about us?', '<span class="reg-field-label">' . __( 'Field Label:', 'woo-coupon-usage' ) . '</span>', '0px'); ?>
              </div>
              <div style="width: auto; float: left; display: block; margin-top: -5px;">
                <strong style="display: block; margin: 5px 0 -5px 10px;"><label for="wcusage_field_registration_enable_referrer_req"><?php echo __( 'Required?', 'woo-coupon-usage' ); ?></label></strong>
                <?php echo wcusage_setting_toggle_option('wcusage_field_registration_enable_referrer_req', 0, '', '10px'); ?>
              </div>
            </div>
          </span>

          <div style="clear: both;"></div>
          <br/>

          <hr/>

          <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'Custom Fields', 'woo-coupon-usage' ); ?><?php echo $probrackets; ?></h3>

          <?php
          $tiersnumber = wcusage_get_setting_value('wcusage_field_registration_custom_fields', '5');
          echo wcusage_setting_number_option('wcusage_field_registration_custom_fields', $tiersnumber, __( 'Number of Custom Fields', 'woo-coupon-usage' ), '0px');
          ?>
          <i><?php echo __( 'Please refresh the page when you update this number, to add/remove the new settings below.', 'woo-coupon-usage' ); ?></i><br/>

          <br/>

          <style>.registration_custom_fields .wcu-update-icon { display: none !important; }</style>
          <div class="registration_custom_fields">
          <?php for ($x = 1; $x <= $tiersnumber; $x++) {
            $type = "";
            ?>

            <div style="display: inline-block;padding: 5px 10px 8px 10px;background: #fff;border: 2px solid #e3e3e3;border-radius: 10px;"
            class="registration_custom_<?php echo $x; ?>">

              <div style="width: auto; float: left; display: block; margin-bottom: 2px;" class="registration_custom_label_<?php echo $x; ?>">
                <?php echo wcusage_setting_text_option('wcusage_field_registration_custom_label_' . $x, '', '<span class="reg-field-label">' . __( 'Field Label:', 'woo-coupon-usage' ) . '</span>', '0px'); ?>
              </div>

              <div style="width: auto; float: left; display: block; margin-left: 10px;">
                <p>
              		<?php $type = wcusage_get_setting_value('wcusage_field_registration_custom_type_' . $x, ''); ?>
              		<input type="hidden" value="1" id="wcusage_field_registration_custom_type_<?php echo $x; ?>" data-custom="custom"
                  name="wcusage_options[wcusage_field_registration_custom_type_<?php echo $x; ?>]" >
              		<strong><?php echo __( 'Type', 'woo-coupon-usage' ); ?>:</strong><br/>
              		<select name="wcusage_options[wcusage_field_registration_custom_type_<?php echo $x; ?>]" id="wcusage_field_registration_custom_type_<?php echo $x; ?>" class="wcusage_field_registration_custom_type_<?php echo $x; ?>">
                    <option value="text" <?php if($type == "text") { ?>selected<?php } ?>><?php echo __( 'Text Field', 'woo-coupon-usage' ); ?></option>
                    <option value="textarea" <?php if($type == "textarea") { ?>selected<?php } ?>><?php echo __( 'Text Area Field', 'woo-coupon-usage' ); ?></option>
              			<option value="dropdown" <?php if($type == "dropdown") { ?>selected<?php } ?>><?php echo __( 'Dropdown Field', 'woo-coupon-usage' ); ?></option>
              			<option value="checkbox" <?php if($type == "checkbox") { ?>selected<?php } ?>><?php echo __( 'Checkbox Field', 'woo-coupon-usage' ); ?></option>
                    <option value="radio" <?php if($type == "radio") { ?>selected<?php } ?>><?php echo __( 'Radio Field', 'woo-coupon-usage' ); ?></option>
                    <option value="acceptance" <?php if($type == "acceptance") { ?>selected<?php } ?>><?php echo __( 'Acceptance Field', 'woo-coupon-usage' ); ?></option>
                    <option value="date" <?php if($type == "date") { ?>selected<?php } ?>><?php echo __( 'Date Field', 'woo-coupon-usage' ); ?></option>
                    <option value="header" <?php if($type == "header") { ?>selected<?php } ?>><?php echo __( 'Custom Header Text', 'woo-coupon-usage' ); ?></option>
                    <option value="paragraph" <?php if($type == "paragraph") { ?>selected<?php } ?>><?php echo __( 'Custom Paragraph Text', 'woo-coupon-usage' ); ?></option>
                  </select>
                </p>
              </div>

              <div style="width: auto; float: left; margin-left: 10px; margin-bottom: 0px;" class="registration_custom_options_<?php echo $x; ?>">
                <?php echo wcusage_setting_textarea_option('wcusage_field_registration_custom_options_' . $x, '', __( 'Options (One Per Line)', 'woo-coupon-usage' ), "0px"); ?>
              </div>

              <div style="width: auto; float: left; display: block; margin-left: 10px;" class="registration_custom_required_<?php echo $x; ?>">
                <strong style="display: block; margin-top: 5px; margin-bottom: -5px;"><label for="wcusage_field_registration_custom_required_<?php echo $x; ?>"><?php echo __( 'Required?', 'woo-coupon-usage' ); ?></label></strong>
                <?php echo wcusage_setting_toggle_option('wcusage_field_registration_custom_required_' . $x, '', '', '0px'); ?>
              </div>

              <script>
              jQuery(document).ready(function($){
                  jQuery("#up-<?php echo $x; ?>").on("click", function() {

                      var label = jQuery('#wcusage_field_registration_custom_label_<?php echo $x - 1; ?>').val();
                      var type = jQuery('#wcusage_field_registration_custom_type_<?php echo $x - 1; ?> option').filter(':selected').val();
                      var options = jQuery('#wcusage_field_registration_custom_options_<?php echo $x - 1; ?>').val();
                      if(jQuery('#wcusage_field_registration_custom_required_<?php echo $x - 1; ?>').is(':checked')) {
                        var required = 1;
                      } else {
                        var required = 0;
                      }

                      var label_this = jQuery('#wcusage_field_registration_custom_label_<?php echo $x; ?>').val();
                      var type_this = jQuery('#wcusage_field_registration_custom_type_<?php echo $x; ?> option').filter(':selected').val();
                      var options_this = jQuery('#wcusage_field_registration_custom_options_<?php echo $x; ?>').val();
                      if(jQuery('#wcusage_field_registration_custom_required_<?php echo $x; ?>').is(':checked')) {
                        var required_this = 1;
                      } else {
                        var required_this = 0;
                      }

                      var postData = {
                          action: 'wcusage_update_custom_fields',
                          _ajax_nonce: '<?php echo wp_create_nonce( 'wcusage_custom_fields' ); ?>',
                          label: label,
                          type: type,
                          options: options,
                          required: required,
                          label_this: label_this,
                          type_this: type_this,
                          options_this: options_this,
                          required_this: required_this,
                          current: '<?php echo $x; ?>',
                          before: '<?php echo $x - 1; ?>',
                      }
                      jQuery.ajax({
                          type: 'POST',
                          url: ajaxurl,
                          data: postData,
                          success: function(response) {

                            jQuery('#wcusage_field_registration_custom_label_<?php echo $x - 1; ?>').val(label_this);

                            jQuery('#wcusage_field_registration_custom_type_<?php echo $x - 1; ?> option[value="'+type_this+'"]').prop("selected", true).change();

                            jQuery('#wcusage_field_registration_custom_options_<?php echo $x - 1; ?>').val(options_this);

                            jQuery('#wcusage_field_registration_custom_required_<?php echo $x - 1; ?>').val(required_this);

                            jQuery('#wcusage_field_registration_custom_label_<?php echo $x; ?>').val(label);

                            jQuery('#wcusage_field_registration_custom_type_<?php echo $x; ?> option[value="'+type+'"]').prop("selected", true).change();

                            jQuery('#wcusage_field_registration_custom_options_<?php echo $x; ?>').val(options).change();

                            jQuery('#wcusage_field_registration_custom_required_<?php echo $x; ?>').val(required);

                          }
                      }).fail(function (data) {
                          console.log(data);
                      });

                  });
              });
              </script>
              <?php if($x > 1) { ?>
              <div style="width: auto; float: left; display: block; margin-left: 10px; margin-top: 25px;">
                  <button id="up-<?php echo $x; ?>" type="button" title="Move Up"
                    style="background: transparent; border: 0; padding: 0; cursor: pointer;">
                    <span class="fa-solid fa-arrow-up-wide-short"></span>
                  </button>
              </div>
              <?php } ?>

              <script>
              jQuery( document ).ready(function() {
                registration_custom_fields_check_<?php echo $x; ?>();
              });
              jQuery('.wcusage_field_registration_custom_type_<?php echo $x; ?>').change(registration_custom_fields_check_<?php echo $x; ?>);
              function registration_custom_fields_check_<?php echo $x; ?>() {
                jQuery('.registration_custom_options_<?php echo $x; ?>').hide();
                var selected_check_<?php echo $x; ?> = jQuery('.wcusage_field_registration_custom_type_<?php echo $x; ?> :selected').val();
                if( selected_check_<?php echo $x; ?> == 'dropdown' || selected_check_<?php echo $x; ?> == 'checkbox' || selected_check_<?php echo $x; ?> == 'radio' ) {
                  jQuery('.registration_custom_options_<?php echo $x; ?>').show();
                } else {
                  jQuery('.registration_custom_options_<?php echo $x; ?>').hide();
                }
                if( selected_check_<?php echo $x; ?> == 'header' || selected_check_<?php echo $x; ?> == 'paragraph' ) {
                  jQuery('.registration_custom_required_<?php echo $x; ?>').hide();
                  jQuery('.registration_custom_label_<?php echo $x; ?> .reg-field-label').text('<?php echo __( "Text:", "woo-coupon-usage" ); ?>');
                } else {
                  jQuery('.registration_custom_required_<?php echo $x; ?>').show();
                  jQuery('.registration_custom_label_<?php echo $x; ?> .reg-field-label').text('<?php echo __( "Field Label:", "woo-coupon-usage" ); ?>');
                }
              }
              </script>

            </div>

            <br/><br/>

          <?php } ?>
          </div>

          <hr/>

          <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'Automatic Affiliate Registration', 'woo-coupon-usage' ); ?><?php echo $probrackets; ?></h3>

          <!-- Automatically register all new users as an affiliate. -->
          <?php echo wcusage_setting_toggle_option('wcusage_field_registration_auto_new_user', 0, __( 'Automatically register all new users as an affiliate.', 'woo-coupon-usage' ), '0px'); ?>
          <i><?php echo __( 'If enabled, whenever a new user is created (in any way), an affiliate registration will also be submitted for them automatically.', 'woo-coupon-usage' ); ?></i><br/>
          <i><?php echo __( 'The username will be used as the coupon code by default, unless you have the "Dynamic Code Generator" enabled.', 'woo-coupon-usage' ); ?></i><br/>

          <br/><hr/>

          <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'Checkout Page: Join Affiliate Program', 'woo-coupon-usage' ); ?><?php echo $probrackets; ?></h3>

          <!-- Join affiliate program checkbox -->
          <?php echo wcusage_setting_toggle_option('wcusage_field_registration_checkout_checkbox', 0, __( 'Show a "join our affiliate program" checkbox on the store checkout.', 'woo-coupon-usage' ), '0px'); ?>
          <i><?php echo __( 'When enabled, a new checkbox will appear on store checkout, under order notes, for them to join the affiliate program. This will submit an affiliate registration application for the user.', 'woo-coupon-usage' ); ?></i><br/>
          <i><?php echo __( 'Note: This will only show for users that are not currently assigned to any affiliate coupons. They must also be logged in, or have selected "Create an account?" for it to show.', 'woo-coupon-usage' ); ?></i><br/>

          <?php echo wcusage_setting_toggle('.wcusage_field_registration_checkout_checkbox', '.wcu-field-section-checkout-checkbox-text'); // Show or Hide ?>
          <span class="wcu-field-section-checkout-checkbox-text">
            <br/>
            <!-- Checkout checkbox label -->
            <?php echo wcusage_setting_text_option('wcusage_field_registration_checkout_checkbox_text', 'Click here to join our affiliate program', __( 'Checkbox label', 'woo-coupon-usage' ), '0px'); ?>
            <br/>
            <!-- Join affiliate program checked by default? -->
            <?php echo wcusage_setting_toggle_option('wcusage_field_registration_checkout_checkbox_checked', 0, __( 'Checkbox ticked by default?', 'woo-coupon-usage' ), '0px'); ?>
            <i><?php echo __( 'When enabled, the checkbox to join the affiliate program will be checked automatically.', 'woo-coupon-usage' ); ?></i><br/>
          </span>

      </div>

      <?php echo do_action( 'wcusage_hook_setting_section_registration_end' ); ?>

    </span>

 <?php
}

/**
 * Settings Section: Registration Page
 *
 */
add_action( 'wcusage_hook_setting_section_registration_page', 'wcusage_setting_section_registration_page' );
if( !function_exists( 'wcusage_setting_section_registration_page' ) ) {
  function wcusage_setting_section_registration_page() {

    $options = get_option( 'wcusage_options' );
    ?>

    <?php if (!class_exists('SitePress')) { ?>

      <!-- Dashboard Page Dropdown -->
      <strong><?php echo __( 'Registration Form Page:', 'woo-coupon-usage' ); ?></strong><br/>
      <?php
      $dashboardpage = "";
      if ( isset($options['wcusage_registration_page']) && $options['wcusage_registration_page'] ) {
          //echo "Page: " . $options['wcusage_registration_page'] . "<br/>";
          $dashboardpage = $options['wcusage_registration_page'];
      } else {
          $dashboardpage = wcusage_get_registration_shortcode_page_id();
      }
      //echo "test: " . $dashboardpage . "<br/>";
      $dropdown_args = array(
          'post_type'        => 'page',
          'selected'         => $dashboardpage,
          'name'             => 'wcusage_options[wcusage_registration_page]',
          'id'               => 'wcusage_registration_page',
          'value_field'      => 'wcusage_registration_page',
          'show_option_none' => '-',
        );
      wp_dropdown_pages( $dropdown_args );

      echo "<br/>";
      ?>

    <?php } else { ?>

      <!-- Showing number input if WPML installed -->
      <?php echo wcusage_setting_number_option('wcusage_registration_page', '', __( 'Registration Form Page (ID):', 'woo-coupon-usage' ), '0px'); ?>

    <?php } ?>
    <i><?php echo __( '(The page that has the [couponaffiliates-register] shortcode on.)', 'woo-coupon-usage' ); ?></i>

  <?php
  }
}

/**
 * Settings Section: Registration Page Template
 *
 */
add_action( 'wcusage_hook_setting_section_registration_template', 'wcusage_setting_section_registration_template' );
if( !function_exists( 'wcusage_setting_section_registration_template' ) ) {
  function wcusage_setting_section_registration_template() {

    $options = get_option( 'wcusage_options' );

    $ispro = ( wcu_fs()->can_use_premium_code() ? 1 : 0 );
    $probrackets = ( $ispro ? "" : " (PRO)" );
    ?>

    <h3><span class="dashicons dashicons-admin-generic" style="margin-top: 2px;"></span> <?php echo __( 'Template Coupon', 'woo-coupon-usage' ); ?> <span style="color: red;"><?php echo __( '(Required)', 'woo-coupon-usage' ); ?></span></h3>

    <p>
      <a href="/wp-admin/post-new.php?post_type=shop_coupon" target="_blank" style="font-weight: bold; text-decoration: none;"><?php echo __( 'Create a new coupon code', 'woo-coupon-usage' ); ?> <span class="fa-solid fa-arrow-up-right-from-square"></span></a> <?php echo __( 'as a template and enter the exact name of it below.', 'woo-coupon-usage' ); ?><br/>
      <?php echo __( 'When you accept an affiliate, a new coupon is created with the same settings, and is automatically assigned to user.', 'woo-coupon-usage' ); ?><br/>
    </p>

    <span class="wcu-field-section-registration-single" style="margin-top: 15px; display: block;">

      <!-- Template coupon code for new affiliate coupon generation -->
      <?php echo wcusage_setting_text_option('wcusage_field_registration_coupon_template', '', __( 'Template coupon code:', 'woo-coupon-usage' ), '0px'); ?>
      <i><?php echo __( 'Make sure this matches the exact name of an existing template coupon code (case sensitive).', 'woo-coupon-usage' ); ?></i>
      <script>
        jQuery('#wcusage_field_registration_coupon_template').on('keyup', function() {
          jQuery('.registration_template_1 #wcusage_field_registration_coupon_template').val(jQuery('#wcusage_field_registration_coupon_template').val());
        });
      </script>
      <br/>

    </span>

  <?php
  }
}

/**
 * Settings Section: Registration Page Template Multi
 *
 */
add_action( 'wcusage_hook_setting_section_registration_template2', 'wcusage_setting_section_registration_template2' );
if( !function_exists( 'wcusage_setting_section_registration_template2' ) ) {
  function wcusage_setting_section_registration_template2() {

    $options = get_option( 'wcusage_options' );

    $ispro = ( wcu_fs()->can_use_premium_code() ? 1 : 0 );
    $probrackets = ( $ispro ? "" : " (PRO)" );
    ?>

    <div id="pro-settings" class="settings-area setup-hide" <?php
      if ( !wcu_fs()->can_use_premium_code() ) {
          ?>title="Available with Pro version." style="pointer-events:none; opacity: 0.4;"<?php
      }
      ?>>

      <br/>

      <!-- Allow logged out users to register for an affiliate coupon. -->
      <?php echo wcusage_setting_toggle_option('wcusage_field_registration_multiple_template', 0, __( 'Enable Multiple Templates', 'woo-coupon-usage' ) . $probrackets, '0px'); ?>
      <i><?php echo __( 'With this enabled, multiple template coupons will be available and the affiliate will be able to choose which type they want via the registration form.', 'woo-coupon-usage' ); ?></i>

      <script>
      jQuery( document ).ready(function() {
        if(jQuery('.wcusage_field_registration_multiple_template').prop('checked')) {
          jQuery('.wcu-field-section-registration-single').hide();
        }
        jQuery('.wcusage_field_registration_multiple_template').change(function(){
          if(jQuery(this).prop('checked')) {
            jQuery('.wcu-field-section-registration-single').hide();
          } else {
            jQuery('.wcu-field-section-registration-single').show();
          }
        });
      });
      </script>

      <?php echo wcusage_setting_toggle('.wcusage_field_registration_multiple_template', '.wcu-field-section-registration-templates'); // Show or Hide ?>
      <span class="wcu-field-section-registration-templates">

        <i><?php echo __( 'Make sure template codes match the exact name of an existing template coupon code, otherwise the coupon may not be created automatically.', 'woo-coupon-usage' ); ?></i>
        <br/><br/>

        <?php echo wcusage_setting_text_option('wcusage_field_registration_coupon_template_field', 'What type of coupon would you like?', __( 'Select field label:', 'woo-coupon-usage' ), '0px'); ?>

        <br/>

        <?php for ($x = 1; $x <= 5; $x++) { ?>

          <?php
          if($x == 1) {
            $template_default = "Default";
            $template_num = "";
          } else {
            $template_default = "";
            $template_num = "_" . $x;
          }
          ?>

          <div style="width: 100%; display: inline-block;" class="registration_template_<?php echo $x; ?>">
            <br/><strong style="display: block; margin-bottom: 5px; text-decoration: underline;">Template option #<?php echo $x; ?></strong>
            <div style="width: auto; float: left; display: block;">
              <?php echo wcusage_setting_text_option('wcusage_field_registration_coupon_template_label' . $template_num, $template_default, __( 'Option name:', 'woo-coupon-usage' ), '0px'); ?>
            </div>
            <div style="width: auto; float: left; display: block; margin-left: 10px;">
              <?php echo wcusage_setting_text_option('wcusage_field_registration_coupon_template' . $template_num, '', __( 'Template coupon code:', 'woo-coupon-usage' ), '0px'); ?>
            </div>
            <br/>
          </div>
          <script>
          jQuery( document ).ready(function() {
            registration_fields_check();
            jQuery('#wcusage_field_registration_coupon_template<?php echo $template_num; ?>').change(registration_fields_check);
            function registration_fields_check() {
              if(!jQuery('#wcusage_field_registration_coupon_template<?php echo $template_num; ?>').val()) {
                jQuery('.registration_template_<?php echo $x + 1; ?>').hide();
              } else {
                jQuery('.registration_template_<?php echo $x + 1; ?>').show();
              }
            }
          });
          </script>

        <?php } ?>

        <br/>

      </div>

  <?php
  }
}

/**
 * Update custom fields
 *
 */
 function wcusage_update_custom_fields() {

  //check_ajax_referer('wcusage_custom_fields');
  ?>

  <?php
  $label = sanitize_text_field($_POST["label"]);
  $type = sanitize_text_field($_POST["type"]);
  $options = sanitize_text_field($_POST["options"]);
  $required = sanitize_text_field($_POST["required"]);

  $label_this = sanitize_text_field($_POST["label_this"]);
  $type_this = sanitize_text_field($_POST["type_this"]);
  $options_this = sanitize_text_field($_POST["options_this"]);
  $required_this = sanitize_text_field($_POST["required_this"]);

  $current = sanitize_text_field($_POST["current"]);
  $before = sanitize_text_field($_POST["before"]);

  $option_group = get_option('wcusage_options');

  $option_group['wcusage_field_registration_custom_label_' . $current] = $label;
  $option_group['wcusage_field_registration_custom_type_' . $current] = $type;
  $option_group['wcusage_field_registration_custom_options_' . $current] = $options;
  $option_group['wcusage_field_registration_custom_required_' . $current] = $required;

  $option_group['wcusage_field_registration_custom_label_' . $before] = $label_this;
  $option_group['wcusage_field_registration_custom_type_' . $before] = $type_this;
  $option_group['wcusage_field_registration_custom_options_' . $before] = $options_this;
  $option_group['wcusage_field_registration_custom_required_' . $before] = $required_this;

  update_option( 'wcusage_options', $option_group );

  return true;

  exit;

}
add_action( 'wp_ajax_wcusage_update_custom_fields', 'wcusage_update_custom_fields' );
