<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Email to affiliate on registration
function wcusage_email_affiliate_register($user_email, $coupon_code, $firstname) {

  $options = get_option( 'wcusage_options' );

  $wcusage_field_email_registration_enable = wcusage_get_setting_value('wcusage_field_email_registration_enable', '1');

  if($wcusage_field_email_registration_enable) {

    if(!empty($options['wcusage_field_email_registration_subject']) && !empty($options['wcusage_field_email_registration_message'])) {

      $to = $user_email;
      $from = wcusage_get_from_email();

      $subject = $options['wcusage_field_email_registration_subject'];
      $body = html_entity_decode( $options['wcusage_field_email_registration_message'] );

      $subject = str_replace("{coupon}", $coupon_code, $subject);
      $subject = str_replace("{name}", $firstname, $subject);

      $body = str_replace("{coupon}", $coupon_code, $body);
      $body = str_replace("{name}", $firstname, $body);
      $body = str_replace("{email}", $user_email, $body);

      $dashboardurl = wcusage_get_coupon_shortcode_page(0);
      $dashboardurl = "<a href='".$dashboardurl."'>" . $dashboardurl . "</a>";
      $body = str_replace("{dashboardurl}", $dashboardurl, $body);

      $headers = array( 'Content-Type: text/html; charset=UTF-8;', $from );

      $mailer = WC()->mailer();
      $wrapped_message = $mailer->wrap_message($subject, $body);
      $wc_email = new WC_Email;
      $html_message = $wc_email->style_inline($wrapped_message);

      wp_mail( $to, $subject, $html_message, $headers );

    }

  }

}

// Email to affiliate on registration if new account
function wcusage_email_affiliate_register_new($user_email, $coupon_code, $firstname, $username) {

  $options = get_option( 'wcusage_options' );

  $wcusage_field_email_registration_new_enable = wcusage_get_setting_value('wcusage_field_email_registration_new_enable', '1');

  if($wcusage_field_email_registration_new_enable) {

    if(!empty($options['wcusage_field_email_registration_new_subject']) && !empty($options['wcusage_field_email_registration_new_message'])) {

      $to = $user_email;
      $from = wcusage_get_from_email();

      $subject = $options['wcusage_field_email_registration_new_subject'];
      $body = html_entity_decode( $options['wcusage_field_email_registration_new_message'] );

      $subject = str_replace("{coupon}", $coupon_code, $subject);
      $subject = str_replace("{name}", $firstname, $subject);

      $body = str_replace("{coupon}", $coupon_code, $body);
      $body = str_replace("{name}", $firstname, $body);
      $body = str_replace("{username}", $username, $body);
      $body = str_replace("{email}", $user_email, $body);

      $dashboardurl = wcusage_get_coupon_shortcode_page(0);
      $dashboardurl = "<a href='".$dashboardurl."'>" . $dashboardurl . "</a>";
      $body = str_replace("{dashboardurl}", $dashboardurl, $body);

      $headers = array( 'Content-Type: text/html; charset=UTF-8;', $from );

      $mailer = WC()->mailer();
      $wrapped_message = $mailer->wrap_message($subject, $body);
      $wc_email = new WC_Email;
      $html_message = $wc_email->style_inline($wrapped_message);

      wp_mail( $to, $subject, $html_message, $headers );

    }

  }

}

// Email to admin on affiliate application
function wcusage_email_admin_affiliate_register($username, $coupon_code) {

  $options = get_option( 'wcusage_options' );

  $wcusage_field_email_registration_admin_enable = wcusage_get_setting_value('wcusage_field_email_registration_admin_enable', '1');

  if($wcusage_field_email_registration_admin_enable) {

    if(!empty($options['wcusage_field_email_registration_admin_subject']) && !empty($options['wcusage_field_email_registration_admin_message'])) {

    $from = wcusage_get_from_email();

    $subject = $options['wcusage_field_email_registration_admin_subject'];
    $body = html_entity_decode( $options['wcusage_field_email_registration_admin_message'] );

    $subject = str_replace("{coupon}", $coupon_code, $subject);
    $subject = str_replace("{username}", $username, $subject);

    $body = str_replace("{coupon}", $coupon_code, $body);
    $body = str_replace("{username}", $username, $body);

    $applicationsurl = admin_url() . "admin.php?page=wcusage_registrations";
    $applicationsurl = "<a href='".$applicationsurl."'>" . $applicationsurl . "</a>";
    $body = str_replace("{adminapplicationsurl}", $applicationsurl, $body);
    $body = str_replace("{adminurl}", $applicationsurl, $body);

      if(isset($options['wcusage_field_registration_admin_email'])) {
        $wcusage_field_registration_admin_email = $options['wcusage_field_registration_admin_email'];
      } else {
        $wcusage_field_registration_admin_email = get_bloginfo( 'admin_email' );
      }

      $to = $wcusage_field_registration_admin_email;

      $headers = array( 'Content-Type: text/html; charset=UTF-8;', $from );

      $mailer = WC()->mailer();
      $wrapped_message = $mailer->wrap_message($subject, $body);
      $wc_email = new WC_Email;
      $html_message = $wc_email->style_inline($wrapped_message);

      wp_mail( $to, $subject, $html_message, $headers );

    }

  }

}

// Email to affiliate on registration accepted
function wcusage_email_affiliate_register_accepted($user_email, $coupon_code, $message, $username, $name) {

  $options = get_option( 'wcusage_options' );

  $wcusage_field_email_registration_accept_enable = wcusage_get_setting_value('wcusage_field_email_registration_accept_enable', '1');

  if($wcusage_field_email_registration_accept_enable) {

    if(!empty($options['wcusage_field_email_registration_accept_subject']) && !empty($options['wcusage_field_email_registration_accept_message'])) {

      $to = $user_email;
      $from = wcusage_get_from_email();

      $subject = $options['wcusage_field_email_registration_accept_subject'];
      $body = html_entity_decode( $options['wcusage_field_email_registration_accept_message'] );

      $subject = str_replace("{coupon}", $coupon_code, $subject);
      $subject = str_replace("{username}", $username, $subject);

      $body = str_replace("{coupon}", $coupon_code, $body);
      $body = str_replace("{name}", $name, $body);
      $body = str_replace("{username}", $username, $body);
      $body = str_replace("{message}", $message, $body);

      $dashboardurl = wcusage_get_coupon_shortcode_page(0);
      $dashboardurl = "<a href='".$dashboardurl."'>" . $dashboardurl . "</a>";
      $body = str_replace("{dashboardurl}", $dashboardurl, $body);

      $headers = array( 'Content-Type: text/html; charset=UTF-8;', $from );

      $mailer = WC()->mailer();
      $wrapped_message = $mailer->wrap_message($subject, $body);
      $wc_email = new WC_Email;
      $html_message = $wc_email->style_inline($wrapped_message);

      wp_mail( $to, $subject, $html_message, $headers );

    }

  }

}

// Email to affiliate on registration declined
function wcusage_email_affiliate_register_declined($user_email, $coupon_code, $message) {

  $options = get_option( 'wcusage_options' );

  $wcusage_field_email_registration_decline_enable = wcusage_get_setting_value('wcusage_field_email_registration_decline_enable', '1');

  if($wcusage_field_email_registration_decline_enable) {

    if(!empty($options['wcusage_field_email_registration_decline_subject']) && !empty($options['wcusage_field_email_registration_decline_message'])) {

      $to = $user_email;
      $from = wcusage_get_from_email();

      $subject = $options['wcusage_field_email_registration_decline_subject'];
      $body = html_entity_decode( $options['wcusage_field_email_registration_decline_message'] );

      $subject = str_replace("{coupon}", $coupon_code, $subject);
      $body = str_replace("{coupon}", $coupon_code, $body);

      $body = str_replace("{message}", $message, $body);

      $headers = array( 'Content-Type: text/html; charset=UTF-8;', $from );

      $mailer = WC()->mailer();
      $wrapped_message = $mailer->wrap_message($subject, $body);
      $wc_email = new WC_Email;
      $html_message = $wc_email->style_inline($wrapped_message);

      wp_mail( $to, $subject, $html_message, $headers );

    }

  }

}
