<?php
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
global  $wcusage_clicks_db_version ;
$wcusage_clicks_db_version = "4";
/**
 * CREATE THE TABLES
 *
 */
if ( !function_exists( 'wcusage_install_clicks_tables' ) ) {
    function wcusage_install_clicks_tables()
    {
        global  $wpdb ;
        global  $wcusage_clicks_db_version ;
        $installed_ver = get_option( "wcusage_clicks_db_version" );
        
        if ( $installed_ver != $wcusage_clicks_db_version ) {
            $table_name = $wpdb->prefix . 'wcusage_clicks';
            $sql = "CREATE TABLE {$table_name} (\r\n\t\t\t\tid bigint NOT NULL AUTO_INCREMENT,\r\n\t\t\t\tcouponid text(9) NOT NULL,\r\n\t\t\t\tcampaign text(9) NOT NULL,\r\n\t      page text(9) NOT NULL,\r\n\t      referrer text(9) NOT NULL,\r\n\t      ipaddress text(9) NOT NULL,\r\n        orderid text(9) NOT NULL,\r\n\t      converted boolean DEFAULT false,\r\n\t\t\t\tdate datetime NOT NULL DEFAULT '0000-00-00 00:00:00',\r\n\t\t\t\tPRIMARY KEY  (id)\r\n\t\t\t);";
            require_once ABSPATH . 'wp-admin/includes/upgrade.php';
            dbDelta( $sql );
            update_option( "wcusage_clicks_db_version", $wcusage_clicks_db_version );
        }
    
    }

}
/**
 * CHECK IF TABLE IS UP TO DATE
 *
 */
if ( !function_exists( 'wcusage_update_clicks_db_check' ) ) {
    function wcusage_update_clicks_db_check()
    {
        global  $wcusage_clicks_db_version ;
        if ( get_site_option( 'wcusage_clicks_db_version' ) != $wcusage_clicks_db_version ) {
            wcusage_install_clicks_tables();
        }
    }

}
add_action( 'plugins_loaded', 'wcusage_update_clicks_db_check' );
/**
 * ADD NEW REFERRAL URL CLICK TO TABLE AND RETURN ID OF CLICK
 *
 * @param int $coupon_id
 * @param string $campaign
 * @param int $page
 * @param string $refpage
 * @param bool $converted
 * @param int $ipaddress
 *
 * @return int
 *
 */
if ( !function_exists( 'wcusage_install_clicks_data' ) ) {
    function wcusage_install_clicks_data(
        $coupon_id,
        $campaign,
        $page,
        $refpage,
        $converted,
        $ipaddress
    )
    {
        $coupon_id = sanitize_text_field( $coupon_id );
        $campaign = sanitize_text_field( $campaign );
        $page = sanitize_text_field( $page );
        $refpage = sanitize_text_field( $refpage );
        $converted = sanitize_text_field( $converted );
        $ipaddress = sanitize_text_field( $ipaddress );
        global  $wpdb ;
        $table_name = $wpdb->prefix . 'wcusage_clicks';
        $wpdb->insert( $table_name, array(
            'couponid'  => $coupon_id,
            'campaign'  => $campaign,
            'page'      => $page,
            'referrer'  => $refpage,
            'converted' => $converted,
            'ipaddress' => $ipaddress,
            'orderid'   => '',
            'date'      => get_date_from_gmt( date( 'Y/m/d H:i:00' ) ),
        ) );
        $last_id = $wpdb->insert_id;
        return $last_id;
    }

}
/**
 * HOOK TO DISPLAY CLICKS FOR COUPON & CAMPAIGN ON AFFILIATE DASHBOARD
 *
 * @param int $postid
 * @param string $campaign
 *
 * @return mixed
 *
 */
if ( !function_exists( 'wcusage_display_coupon_url_clicks' ) ) {
    function wcusage_display_coupon_url_clicks(
        $postid,
        $campaign,
        $page = 0,
        $converted = 0
    )
    {
        $wcusage_field_show_click_history = wcusage_get_setting_value( 'wcusage_field_show_click_history', 1 );
        $wcusage_field_show_click_history_amount = wcusage_get_setting_value( 'wcusage_field_show_click_history_amount', 15 );
        $wcusage_field_show_campaigns = wcusage_get_setting_value( 'wcusage_field_show_campaigns', 1 );
        $wcusage_field_load_ajax = wcusage_get_setting_value( 'wcusage_field_load_ajax', 1 );
        $show_converted = wcusage_get_setting_value( 'wcusage_field_show_click_history_converted', 1 );
        $offset = $page * $wcusage_field_show_click_history_amount;
        
        if ( $campaign && $campaign != "all" ) {
            $campaignline = " AND campaign = '" . $campaign . "'";
        } else {
            $campaignline = "";
        }
        
        $convertedline = "";
        if ( $converted ) {
            $convertedline = " AND converted = '1'";
        }
        global  $wpdb ;
        $table_name = $wpdb->prefix . 'wcusage_clicks';
        $result2 = $wpdb->get_results( "SELECT * FROM " . $table_name . " WHERE couponid = " . $postid . $campaignline . $convertedline . " ORDER BY id DESC LIMIT " . $wcusage_field_show_click_history_amount . " OFFSET " . $offset );
        $totalresults = count( $result2 );
        ?>

		<!-- Table Mobile Labels -->
		<style>
		@media only screen and (max-width: 760px) {
			.wcu-table-clicks td:nth-of-type(1):before { content: "ID"; }
			.wcu-table-clicks td:nth-of-type(2):before { content: "Landing Page"; }
			.wcu-table-clicks td:nth-of-type(3):before { content: "Referring URL"; }
			.wcu-table-clicks td:nth-of-type(4):before { content: "Converted"; }
			<?php 
        ?>
			.wcu-table-clicks td:nth-of-type(6):before { content: "Date"; }
		}
		</style>

	  <div style="clear: both;"></div>

    <!-- Heading -->
		<p style='font-size: 22px; float: left; margin-top: 20px; margin-bottom: 10px;' id='wcu-recent-clicks-section'><?php 
        echo  __( 'Recent Clicks', 'woo-coupon-usage' ) ;
        ?>:</p>

    <!-- Converted only toggle -->
    <?php 
        
        if ( $wcusage_field_load_ajax && $show_converted ) {
            ?>
    <p style="float: right; font-size: 17px; margin-top: 25px; margin-bottom: 10px;">
      <label for="wcu-checkbox-clicks-converted" style="vertical-align: baseline;">
        <input type="checkbox" id="wcu-checkbox-clicks-converted" name="wcu-checkbox-clicks-converted" value="1" style=""> <?php 
            echo  __( 'Converted Only', 'woo-coupon-usage' ) ;
            ?>
      </label>
    </p>
    <?php 
        }
        
        ?>

    <div style="clear: both;"></div>

    <!-- Show the clicks table -->
    <?php 
        
        if ( $totalresults > 0 ) {
            echo  "<table class='wcuTable wcu-table-clicks'>" ;
            echo  "<tr class='wcu-thetitlerow'>" ;
            echo  "<td class='wcuTableHead'>#</td>" ;
            echo  "<td class='wcuTableHead'><i class='fas fa-cart-plus' title='" . ucfirst( __( 'Converted?', 'woo-coupon-usage' ) ) . "'></i></td>" ;
            echo  "<td class='wcuTableHead' style='max-width: 300px;'>" . ucfirst( __( 'Landing Page', 'woo-coupon-usage' ) ) . "</td>" ;
            echo  "<td class='wcuTableHead' style='max-width: 350px;'>" . ucfirst( __( 'Referring URL', 'woo-coupon-usage' ) ) . "</td>" ;
            echo  "<td class='wcuTableHead'>" . ucfirst( __( 'Date', 'woo-coupon-usage' ) ) . "</td>" ;
            echo  "</tr>" ;
            foreach ( $result2 as $result ) {
                echo  "<tr class='wcuTableRow'>" ;
                echo  "<td class='wcuTableCell' style='max-width: 100%;'>" . $result->id . "</td>" ;
                
                if ( $result->converted == 1 ) {
                    $convertedicon = '<i class="fas fa-check" style="color: green;" title="' . __( "Converted", "woo-coupon-usage" ) . '"></i>';
                } else {
                    $convertedicon = '<i class="fas fa-times" title="' . __( "Not Converted", "woo-coupon-usage" ) . '"></i>';
                }
                
                echo  "<td class='wcuTableCell' style='max-width: 100%;'>" . $convertedicon . "</td>" ;
                echo  "<td class='wcuTableCell wcuTableCell-ref-landing'><a href='" . get_permalink( $result->page ) . "'>" . get_the_title( $result->page ) . "</a></td>" ;
                
                if ( $result->referrer ) {
                    $referrerurl = "<span style='word-wrap: break-word !important;'>" . $result->referrer . "</span>";
                } else {
                    $referrerurl = 'Direct Traffic';
                }
                
                echo  "<td class='wcuTableCell wcuTableCell-ref-website'>" . $referrerurl . "</td>" ;
                $thedatetime = strtotime( $result->date );
                echo  "<td class='wcuTableCell' style='max-width: 100%;'>" . ucfirst( date_i18n( get_option( 'date_format' ) . " " . "(" . get_option( 'time_format' ) . ")", $thedatetime ) ) . "</td>" ;
                echo  "</tr>" ;
            }
            echo  "</table>" ;
        } else {
            
            if ( $page == 0 ) {
                ?>
			  <p><?php 
                echo  __( 'There have been no clicks for this campaign yet.', 'woo-coupon-usage' ) ;
                ?></p>
        <script>
        jQuery(document).ready(function(){
          jQuery( ".wcu-clicks-pagination" ).hide();
        });
        </script>
        <?php 
            } else {
                ?>
        <p><?php 
                echo  __( 'No clicks available.', 'woo-coupon-usage' ) ;
                ?></p>
        <?php 
            }
        
        }
    
    }

}
add_action(
    'wcusage_hook_display_coupon_url_clicks',
    'wcusage_display_coupon_url_clicks',
    10,
    4
);