<?php
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
global  $wcusage_register_db_version ;
$wcusage_register_db_version = "2.5";
/**
 * Create registration table
 *
 */
function wcusage_install_register_tables()
{
    global  $wpdb ;
    global  $wcusage_register_db_version ;
    $installed_ver = get_option( "wcusage_register_db_version" );
    
    if ( $installed_ver != $wcusage_register_db_version ) {
        $table_name = $wpdb->prefix . 'wcusage_register';
        $sql = "CREATE TABLE {$table_name} (\r\n\t\t\tid bigint NOT NULL AUTO_INCREMENT,\r\n\t\t\tuserid bigint NOT NULL,\r\n\t\t\tcouponcode text(9) NOT NULL,\r\n\t\t\tpromote text(9) NOT NULL,\r\n\t\t\treferrer text(9) NOT NULL,\r\n\t\t\twebsite text(9) NOT NULL,\r\n      status text(9) NOT NULL,\r\n      type text(9) NOT NULL,\r\n      info text(9) NOT NULL,\r\n\t\t\tdate datetime NOT NULL DEFAULT '0000-00-00 00:00:00',\r\n\t\t\tdateaccepted datetime NOT NULL DEFAULT '0000-00-00 00:00:00',\r\n\t\t\tPRIMARY KEY  (id)\r\n\t\t);";
        require_once ABSPATH . 'wp-admin/includes/upgrade.php';
        dbDelta( $sql );
        update_option( "wcusage_register_db_version", $wcusage_register_db_version );
    }

}

/**
 * Check database update
 *
 */
function wcusage_update_register_db_check()
{
    global  $wcusage_register_db_version ;
    if ( get_site_option( 'wcusage_register_db_version' ) != $wcusage_register_db_version ) {
        wcusage_install_register_tables();
    }
}

add_action( 'plugins_loaded', 'wcusage_update_register_db_check' );
/**
 * Install data into registration table
 *
 */
function wcusage_install_register_data(
    $couponcode,
    $userid,
    $referrer,
    $promote,
    $website,
    $type = "",
    $info = ""
)
{
    if ( $type ) {
        
        if ( $type == "1" || !$type ) {
            $type = wcusage_get_setting_value( 'wcusage_field_registration_coupon_template', '' );
        } else {
            $type = wcusage_get_setting_value( 'wcusage_field_registration_coupon_template' . "_" . $type, '' );
        }
    
    }
    global  $wpdb ;
    $table_name = $wpdb->prefix . 'wcusage_register';
    $wpdb->insert( $table_name, array(
        'userid'       => $userid,
        'couponcode'   => $couponcode,
        'promote'      => $promote,
        'referrer'     => $referrer,
        'website'      => $website,
        'type'         => $type,
        'info'         => $info,
        'status'       => 'pending',
        'date'         => current_time( 'mysql' ),
        'dateaccepted' => '',
    ) );
    $last_id = $wpdb->insert_id;
    // Activity Log
    $user_info = get_userdata( $userid );
    $username = $user_info->user_login;
    $activity_log = wcusage_add_activity( $last_id, 'registration', $username );
    return $last_id;
}
