<?php
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
function wcusage_admin_registrations_page_html()
{
    // check user capabilities
    if ( !wcusage_check_admin_access() ) {
        return;
    }
    $options = get_option( 'wcusage_options' );
    $setstatus = "";
    $coupon_code = "";
    // Get POST requests
    
    if ( isset( $_POST['_wpnonce'] ) ) {
        $nonce = $_REQUEST['_wpnonce'];
        
        if ( wp_verify_nonce( $nonce, 'admin_affiliate_register_form' ) && wcusage_check_admin_access() ) {
            
            if ( isset( $_POST['submitregisteraccept'] ) || isset( $_POST['submitregisterdecline'] ) ) {
                $postid = sanitize_text_field( $_POST['wcu-id'] );
                $userid = sanitize_text_field( $_POST['wcu-user-id'] );
                $get_user = get_user_by( 'id', $userid );
                $coupon_code = sanitize_text_field( $_POST['wcu-coupon-code'] );
                $message = sanitize_text_field( $_POST['wcu-message'] );
                $type = sanitize_text_field( $_POST['wcu-type'] );
            }
            
            // If Accepted
            
            if ( isset( $_POST['submitregisteraccept'] ) && $coupon_code ) {
                $status = "accepted";
                $thiscoupon = new WC_Coupon( $coupon_code );
                
                if ( !$thiscoupon->is_valid() ) {
                    // Update the status of the registration
                    $setstatus = wcusage_set_registration_status(
                        $status,
                        $postid,
                        $userid,
                        $coupon_code,
                        $message,
                        $type
                    );
                    // Update MLA invite
                    if ( function_exists( 'wcusage_install_mlainvite_data' ) ) {
                        wcusage_install_mlainvite_data(
                            '',
                            $get_user->user_email,
                            'accepted',
                            1
                        );
                    }
                    // Update users role
                    $setaffiliaterole = wcusage_set_registration_role( $userid );
                    // Update Code in Registration
                    global  $wpdb ;
                    $table_name = $wpdb->prefix . 'wcusage_register';
                    $wpdb->update( $table_name, array(
                        'couponcode' => $coupon_code,
                    ), array(
                        'id' => $postid,
                    ) );
                } else {
                    // Show error if user already exists
                    echo  "<div class='notice notice-error is-dismissible' style='position: absolute; width: 75%;'><p>" . __( 'Coupon code already exists: ', 'woo-coupon-usage' ) . "{$coupon_code}" . "</p></div>" ;
                }
            
            }
            
            // If Declined
            
            if ( isset( $_POST['submitregisterdecline'] ) ) {
                $status = "declined";
                // Update the status of the registration
                $setstatus = wcusage_set_registration_status(
                    $status,
                    $postid,
                    $userid,
                    $coupon_code,
                    $message,
                    $type
                );
                // Update MLA invite
                if ( function_exists( 'wcusage_install_mlainvite_data' ) ) {
                    wcusage_install_mlainvite_data(
                        '',
                        $get_user->user_email,
                        'declined',
                        1
                    );
                }
            }
            
            // If Deleted
            
            if ( isset( $_POST['submitregisterdelete'] ) ) {
                $postid = sanitize_text_field( $_POST['wcu-id'] );
                // Delete the registration
                $setstatus = wcusage_delete_registration_entry( $postid );
            }
        
        }
    
    }
    
    $statussearch = "";
    if ( isset( $_GET['status'] ) ) {
        $statussearch = $_GET['status'];
    }
    ?>

<!-- Check Promote Field Enabled -->
<?php 
    $wcusage_registration_enable_promote = wcusage_get_setting_value( 'wcusage_field_registration_enable_promote', '0' );
    if ( !$wcusage_registration_enable_promote ) {
        echo  "<style>.column-promote { display: none; }</style>" ;
    }
    ?>

<!-- Check Referrer Field Enabled -->
<?php 
    $wcusage_registration_enable_referrer = wcusage_get_setting_value( 'wcusage_field_registration_enable_referrer', '0' );
    if ( !$wcusage_registration_enable_referrer ) {
        echo  "<style>.column-referrer { display: none; }</style>" ;
    }
    ?>

<!-- Check Website Field Enabled -->
<?php 
    $wcusage_registration_enable_website = wcusage_get_setting_value( 'wcusage_field_registration_enable_website', '0' );
    if ( !$wcusage_registration_enable_website ) {
        echo  "<style>.column-website { display: none; }</style>" ;
    }
    ?>

<style type="text/css">
.column-id { width: 50px; }
.column-payment { width: 15%; }
.column-date, .column-datepaid { width: 200px; }
</style>

<link rel="stylesheet" href="<?php 
    echo  WCUSAGE_UNIQUE_PLUGIN_URL . 'fonts/font-awesome/css/all.min.css' ;
    ?>" crossorigin="anonymous">

<?php 
    echo  do_action( 'wcusage_hook_dashboard_page_header', '' ) ;
    ?>

<div id="wcu-create-new-registration" class="wrap plugin-settings">

<h1 class="wp-heading-inline"><?php 
    echo  esc_html( get_admin_page_title() ) ;
    ?></h1>

<?php 
    do_action( 'wcusage_hook_admin_new_registration_button' );
    // "Create New Registration" button action
    ?>

<script>
jQuery(jQuery(".wp-heading-inline")[0]).after('<a href="#" class="page-title-action" id="wcu-admin-create-registration-link"><?php 
    echo  __( 'Add New Affiliate', 'woo-coupon-usage' ) ;
    ?></a>');
</script>

<?php 
    
    if ( isset( $_POST['submitregisteraccept'] ) ) {
        echo  $setstatus ;
        echo  "<style>.wcusage-register-form-title { display: none; }</style>" ;
    }
    
    ?>

<p style="color: #333;">
  <i class="fas fa-info-circle"></i> <?php 
    echo  __( 'Accept and decline affiliate registrations submitted via the affiliate registration form.', 'woo-coupon-usage' ) ;
    ?> <a href="https://couponaffiliates.com/docs/affiliate-registration" target="_blank">Learn More</a>.
</p>

<?php 
    $template_coupon_code = wcusage_get_setting_value( 'wcusage_field_registration_coupon_template', '' );
    
    if ( !$template_coupon_code ) {
        ?>
<p style="color: #b11818; font-weight: bold;"><i class="fa-solid fa-circle-exclamation"></i> <?php 
        echo  __( 'Warning: You will want to create a "template coupon" and assign it in the settings for affiliate coupons to be generated properly.', 'woo-coupon-usage' ) ;
        ?> <a href="https://couponaffiliates.com/docs/template-coupon-code" target="_blank">Learn More</a>.</p>
<?php 
    }
    
    ?>

<?php 
    $get_template_coupon = wcusage_get_coupon_info( $template_coupon_code );
    
    if ( $template_coupon_code && !$get_template_coupon[2] ) {
        ?>
  <p style="color: #b11818; font-weight: bold;"><span class="dashicons dashicons-warning"></span> <?php 
        echo  __( 'The "template coupon" you have set does not exist. Please make sure you have created it, and entered the exact name in the settings.', 'woo-coupon-usage' ) ;
        ?> <a href="https://couponaffiliates.com/docs/template-coupon-code" target="_blank"><?php 
        echo  __( 'Learn More', 'woo-coupon-usage' ) ;
        ?>.</a><br/></p>
<?php 
    }
    
    ?>

<div class="wcu-payout-filters" style="margin-bottom: -30px;">
<br/><?php 
    echo  __( 'Filter by', 'woo-coupon-usage' ) ;
    ?>:
<a href="<?php 
    echo  get_site_url() ;
    ?>/wp-admin/admin.php?page=wcusage_registrations" style="<?php 
    if ( $statussearch == '' ) {
        ?>font-weight: bold;<?php 
    }
    ?>"><?php 
    echo  __( 'All', 'woo-coupon-usage' ) ;
    ?></a>
&#xb7
<a href="<?php 
    echo  get_site_url() ;
    ?>/wp-admin/admin.php?page=wcusage_registrations&status=accepted" style="<?php 
    if ( $statussearch == 'accepted' ) {
        ?>font-weight: bold;<?php 
    }
    ?>"><?php 
    echo  __( 'Accepted', 'woo-coupon-usage' ) ;
    ?></a>
&#xb7
<a href="<?php 
    echo  get_site_url() ;
    ?>/wp-admin/admin.php?page=wcusage_registrations&status=pending" style="<?php 
    if ( $statussearch == 'pending' ) {
        ?>font-weight: bold;<?php 
    }
    ?>"><?php 
    echo  __( 'Pending', 'woo-coupon-usage' ) ;
    ?></a>
&#xb7;
<a href="<?php 
    echo  get_site_url() ;
    ?>/wp-admin/admin.php?page=wcusage_registrations&status=declined" style="<?php 
    if ( $statussearch == 'declined' ) {
        ?>font-weight: bold;<?php 
    }
    ?>"><?php 
    echo  __( 'Declined', 'woo-coupon-usage' ) ;
    ?></a>
</div>

	<?php 
    //Create an instance of our package class...
    $testListTable = new wcusage_registrations_List_Table();
    //Fetch, prepare, sort, and filter our data...
    $testListTable->prepare_items();
    ?>

	<div class="wrap">

		<div id="icon-users" class="icon32"><br/></div>
		<!-- Forms are NOT created automatically, so you need to wrap the table in one to use features like bulk actions -->
		<!--<form id="payouts-filter" method="get">-->
			<!-- For plugins, we also need to ensure that the form posts back to our current page -->
			<input type="hidden" name="page" value="<?php 
    echo  $_REQUEST['page'] ;
    ?>" />
			<!-- Now we can render the completed list table -->
			<?php 
    $testListTable->display();
    ?>
		<!--</form>-->

	</div>

</div>

<?php 
}

/**
 * Updates users role on affiliate registration accept
 *
 */
function wcusage_set_registration_role( $userid )
{
    $wcusage_register_role = wcusage_get_setting_value( 'wcusage_field_register_role', '1' );
    $u = new WP_User( $userid );
    
    if ( $wcusage_register_role ) {
        $wcusage_field_registration_accepted_role = wcusage_get_setting_value( 'wcusage_field_registration_accepted_role', 'coupon_affiliate' );
        $wcusage_field_register_role_only_accept = wcusage_get_setting_value( 'wcusage_field_register_role_only_accept', '0' );
        $wcusage_field_registration_pending_role = wcusage_get_setting_value( 'wcusage_field_registration_pending_role', 'subscriber' );
        $wcusage_field_register_role_remove_pending = wcusage_get_setting_value( 'wcusage_field_register_role_remove_pending', '1' );
        if ( $wcusage_field_registration_accepted_role == 'administrator' || $wcusage_field_registration_accepted_role == 'editor' || $wcusage_field_registration_accepted_role == 'author' || $wcusage_field_registration_accepted_role == 'shop_manager' ) {
            $wcusage_field_registration_accepted_role == "coupon_affiliate";
        }
        if ( $role_object = get_role( $wcusage_field_registration_accepted_role ) ) {
            if ( $role_object->has_cap( 'manage_options' ) ) {
                $wcusage_field_registration_accepted_role = 'coupon_affiliate';
            }
        }
        
        if ( $wcusage_field_register_role_only_accept && $wcusage_field_register_role_remove_pending ) {
            $u->remove_role( 'subscriber' );
            $u->remove_role( $wcusage_field_registration_pending_role );
        }
        
        $u->add_role( $wcusage_field_registration_accepted_role );
    } else {
        $u->remove_role( 'subscriber' );
        $u->add_role( 'subscriber' );
    }

}

/**
 * Updates registration status
 *
 */
function wcusage_set_registration_status(
    $status,
    $id,
    $userid,
    $coupon_code,
    $message,
    $type = ""
)
{
    $options = get_option( 'wcusage_options' );
    global  $wpdb ;
    $table_name = $wpdb->prefix . 'wcusage_register';
    $data = [
        'status' => $status,
    ];
    $where = [
        'id' => $id,
    ];
    $wpdb->update( $table_name, $data, $where );
    $data2 = [
        'dateaccepted' => date( 'Y-m-d H:i:s' ),
    ];
    $where2 = [
        'id' => $id,
    ];
    $wpdb->update( $table_name, $data2, $where2 );
    $user_info = get_userdata( $userid );
    $user_email = $user_info->user_email;
    $username = $user_info->user_login;
    $name = "";
    if ( $user_info->display_name ) {
        $name = $user_info->display_name;
    }
    
    if ( $status == "accepted" ) {
        do_action(
            'wcusage_hook_affiliate_register_accepted',
            $id,
            $userid,
            $coupon_code,
            $message,
            $status
        );
        $activity_log = wcusage_add_activity( $id, 'registration_accept', $username );
        wcusage_email_affiliate_register_accepted(
            $user_email,
            $coupon_code,
            $message,
            $username,
            $name
        );
        
        if ( !$type ) {
            $template_coupon_code = wcusage_get_setting_value( 'wcusage_field_registration_coupon_template', '' );
        } else {
            $template_coupon_code = $type;
        }
        
        $template_coupon_info = wcusage_get_coupon_info( $template_coupon_code );
        $template_post_id = $template_coupon_info[2];
        
        if ( !$template_coupon_info ) {
            // No template coupon selected
            return "<div class='notice notice-error is-dismissible'><p>" . __( 'Coupon code was not created. Template has not been selected.', 'woo-coupon-usage' ) . " " . $coupon_code . "</p></div>";
        } else {
        }
        
        // Generating the new coupon
        $title = $coupon_code;
        $post = array(
            'post_title'  => $title,
            'post_status' => 'publish',
            'post_type'   => 'shop_coupon',
            'post_author' => 1,
        );
        $new_post_id = wp_insert_post( $post );
        // Copy meta from template
        
        if ( isset( $template_post_id ) ) {
            $data = get_post_custom( $template_post_id );
            if ( is_array( $data ) ) {
                foreach ( $data as $key => $values ) {
                    foreach ( $values as $value ) {
                        if ( is_serialized( $value ) ) {
                            $value = unserialize( $value );
                        }
                        add_post_meta( $new_post_id, $key, $value );
                    }
                }
            }
        }
        
        // Update defaults
        update_post_meta( $new_post_id, 'wcu_select_coupon_user', $userid );
        update_post_meta( $new_post_id, 'wcu_text_unpaid_commission', '0' );
        update_post_meta( $new_post_id, 'wcu_text_pending_payment_commission', '0' );
        update_post_meta( $new_post_id, 'usage_count', '0' );
        return "<div class='notice notice-success is-dismissible'><p>" . __( 'Coupon code successfully created:', 'woo-coupon-usage' ) . " " . $coupon_code . "</p></div>";
    } else {
        do_action(
            'wcusage_hook_affiliate_register_declined',
            $id,
            $userid,
            $coupon_code,
            $message,
            $status
        );
        wcusage_email_affiliate_register_declined( $user_email, $coupon_code, $message );
    }

}

/**
 * Deletes a registration table row
 *
 * @param int $id
 *
 */
function wcusage_delete_registration_entry( $id )
{
    global  $wpdb ;
    $table_name = $wpdb->prefix . 'wcusage_register';
    $where = [
        'id' => $id,
    ];
    $wpdb->delete( $table_name, $where );
}

/**
 * Generates auto coupon code for affiliate registration
 *
 * @param int $userid
 *
 * @return string
 *
 */
function wcusage_generate_auto_coupon( $username )
{
    return "";
}

/**
 * Show "Create New Registration" link in admin page.
 *
 * @param int $userid
 *
 * @return string
 *
 */
add_action( 'wcusage_hook_admin_new_registration_button', 'wcusage_admin_new_registration_button' );
function wcusage_admin_new_registration_button()
{
    ?>

<?php 
    $auto_coupon = wcusage_get_setting_value( 'wcusage_field_registration_auto_coupon', '0' );
    $auto_coupon_format = wcusage_get_setting_value( 'wcusage_field_registration_auto_coupon_format', '{username}{amount}' );
    $template_coupon_code = wcusage_get_setting_value( 'wcusage_field_registration_coupon_template', '' );
    $wcusage_field_registration_emailusername = wcusage_get_setting_value( 'wcusage_field_registration_emailusername', '0' );
    ?>

<?php 
    // Post Submit Add Registration Form
    
    if ( isset( $_POST['_wpnonce'] ) ) {
        $nonce = $_REQUEST['_wpnonce'];
        if ( wp_verify_nonce( $nonce, 'admin_add_registration_form' ) && wcusage_check_admin_access() ) {
            echo  wcusage_post_submit_application( 1 ) ;
        }
    }
    
    ?>

<script>
jQuery(document).ready(function() {
  /* appends an "active" class to .popup and .popup-content when the "Open" button is clicked */
  jQuery("#wcu-admin-create-registration-link").on("click", function() {
    jQuery(".wcu_form_affiliate_popup_overlay, .wcu_form_affiliate_popup_content").addClass("active");
  });
  /* removes the "active" class to .popup and .popup-content when the "Close" button is clicked */
  jQuery(".wcu_form_affiliate_close").on("click", function() {
    jQuery(".wcu_form_affiliate_popup_overlay, .wcu_form_affiliate_popup_content").removeClass("active");
  });
});
</script>

<!--Creates the popup body-->
<div class="wcu_form_affiliate_popup_overlay">
  <!--Creates the popup content-->
  <div class="wcu_form_affiliate_popup_content">

    <button class="wcu_form_affiliate_close"><span class="dashicons dashicons-no"></span></button>

    <form method="post" class="wcu_form_affiliate_register" enctype="multipart/form-data">

      <?php 
    wp_nonce_field( 'admin_add_registration_form' );
    ?>

      <h2><?php 
    echo  __( 'Add New Affiliate Registration:', 'woo-coupon-usage' ) ;
    ?></h2>

      <p style="color: #333;">
        <?php 
    echo  __( 'Manually create a new coupon affiliate registration.', 'woo-coupon-usage' ) ;
    ?><br/>
      </p>

      <?php 
    
    if ( !$template_coupon_code ) {
        ?>
        <p style="color: #333;">
          <span class="dashicons dashicons-warning"></span> <?php 
        echo  __( 'For affiliate registrations to work properly, you will need to create a "template coupon" and assign it in the settings.', 'woo-coupon-usage' ) ;
        ?> <a href="https://couponaffiliates.com/docs/template-coupon-code" target="_blank"><?php 
        echo  __( 'Learn More', 'woo-coupon-usage' ) ;
        ?>.</a><br/>
        </p>
      <?php 
    }
    
    ?>

      <?php 
    $get_template_coupon = wcusage_get_coupon_info( $template_coupon_code );
    ?>
      <?php 
    
    if ( $template_coupon_code && !$get_template_coupon[2] ) {
        ?>
        <p style="color: red;">
          <span class="dashicons dashicons-warning"></span> <?php 
        echo  __( 'The "template coupon" you have set does not exist. Please make sure you have created it, and entered the exact name in the settings.', 'woo-coupon-usage' ) ;
        ?><br/><a href="https://couponaffiliates.com/docs/template-coupon-code" target="_blank"><?php 
        echo  __( 'Learn More', 'woo-coupon-usage' ) ;
        ?>.</a><br/>
        </p>
      <?php 
    }
    
    ?>

      <div>

        <p><label for="wcu-input-username"><strong><?php 
    echo  __( 'Username', 'woo-coupon-usage' ) ;
    ?>:*</strong></label><br/>
          <input type="text" id="wcu-input-username" name="wcu-input-username" class="input-text form-control" value="" style="width: 100%; max-width: 100%;" required>
          <br/><i style="font-size: 10px;">Enter either an existing user, or a new user to create a new account.</i>
        </p>

        <p><label for="wcu-input-email"><strong><?php 
    echo  __( 'Email Address', 'woo-coupon-usage' ) ;
    ?>:</strong></label><br/>
          <input type="text" id="wcu-input-email" name="wcu-input-email" class="input-text form-control" value="" style="width: 100%; max-width: 100%;">
          <br/><i style="font-size: 10px;">Only required if username doesn't already exist, to create a new account.</i>
        </p>

        <p><label for="wcu-input-first-name"><strong><?php 
    echo  __( 'First Name', 'woo-coupon-usage' ) ;
    ?>:</strong></label><br/>
          <input type="text" id="wcu-input-first-name" name="wcu-input-first-name" class="input-text form-control" value="" style="width: 100%; max-width: 100%;">
          <br/><i style="font-size: 10px;">Only required if username doesn't already exist.</i>
        </p>

        <?php 
    
    if ( !$auto_coupon ) {
        ?>
        <p><label for="wcu-input-coupon"><strong><?php 
        echo  __( 'Coupon Code', 'woo-coupon-usage' ) ;
        ?>:*</strong></label><br/>
          <input type="text" id="wcu-input-coupon" name="wcu-input-coupon" class="input-text form-control" value="" minlength="3" style="width: 100%; max-width: 100%;" required>
        </p>
        <?php 
    }
    
    ?>

        <p><input type="checkbox" name="wcu-auto-accept" value="check" id="wcu-auto-accept" checked> Automatically accept the affiliate registration.<br/></p>

        <p style="margin-top: 20px;"><input type="submit" class="woocommerce-button button"  id="wcu-register-button" name="submitaffiliateapplication" value="<?php 
    echo  __( 'Submit Affiliate Registration', 'woo-coupon-usage' ) ;
    ?>"></p>

      </div>

    </form>

  </div>

</div>

<?php 
}
